<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!--CSS -->
    <link th:href="@{/css/lightpick.css}" rel="stylesheet" type="text/css">
    <link th:href="@{/css/fotorama.css}" rel="stylesheet" type="text/css">
    <!--<link  href="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.css" rel="stylesheet">-->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->


    <!--<script src="https://cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.js"></script>-->

    <!--SCRIPTS-->
    <script th:src="@{/js/fotorama.js}" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <script th:src="@{/js/lightpick.js}" type="text/javascript"></script>
    <script src="https://www.google.com/recaptcha/api.js" async defer></script>
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('sortiment')"></div>

    <!--CAROUSEL-->
    <div th:replace="fragments/layout :: carousel-sm"></div>

    <main id="main" class="px-2 px-sm-3 container mt-4">

        <div id="notFoundMessage" class="alert alert-warning fade show" role="alert" th:if="${product == null}">
            <span>Nepodařilo se vyhledat produkt</span>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>

        <div th:replace="fragments/layout :: alerts"></div>

        <div th:if="${product != null}">

            <div class="d-flex flex-wrap mb-4 pb-3 border-bottom">
                <h2 class="mr-4" th:text="${product.name}"></h2>
                <div class="ml-auto">
                    <a sec:authorize="hasRole('ADMIN')"
                       class="btn btn-warning mt-2"
                       th:href="@{/admin/product/edit/} + ${product.id}">
                        <i class="fas fa-pencil-alt"></i>
                        Upravit
                    </a>
                    <a class="btn btn-success mt-2 ml-2" href="#borrow">
                        <i class="far fa-clock"></i>
                        Vypůjčit
                    </a>
                </div>
            </div>

            <div class="clearfix">
                <div class="float-md-right col-md-7 col-lg-6 ml-0 ml-md-3 mb-3">
                    <div class="fotorama"
                         data-nav="thumbs"
                         data-click="true"
                         data-allowfullscreen="true"
                         data-keyboard="true"
                         th:if="${not #lists.isEmpty(product.images)}">

                        <a th:each="image : ${product.images}" th:href="@{'/image/' + ${image.name}}">
                            <img th:src="@{'/image/' + ${image.getSmallName()}}" th:width="${image.width}"
                                 th:height="${image.height}">
                        </a>

                    </div>
                </div>

                <p class="font-weight-bold" th:text="${product.description}"></p>

                <div class="mt-4">
                    <label class="font-weight-bold">Cena:</label>
                    <span class="text-orange h2" th:text="${product.price}"></span>
                    <span> Kč/den</span>
                </div>

                <div>
                    <label >Kauce:</label>
                    <span th:text="${product.bail}"></span>
                    <span> Kč</span>
                </div>

                <div class="mt-4" th:if="${not #lists.isEmpty(product.getAvailableAccessories())}">
                    <h5>Příslušenství</h5>
                    <ul>
                        <li th:each="accessory : ${product.getAvailableAccessories()}"
                            th:text="${accessory.name}"></li>
                    </ul>
                </div>

                <div class="mt-45 product-desc-html">
                    <p th:utext="${product.html}"></p>
                </div>
            </div>


            <div id="borrow">

                <!--DATEPICKER-->
                <div class="form-group">
                    <label for="datepicker1" class="font-weight-bold">Dostupné datumy:</label>

                    <div class="text-center w-100">
                        <input type="hidden" id="datepicker1">
                        <input type="hidden" id="datepicker2">
                    </div>
                </div>

                <div class="w-100 w-sm-75 ml-auto mr-auto text-center mt-4 mt-lg-5">
                    <h3>Rezervace na:</h3>
                    <div class="row no-gutters">
                        <div class="col-12 col-lg-6 px-sm-2">
                            <a href="tel:+420608711044" class="btn btn-lg btn-success mt-3 w-100">
                                <i class="mr-2" data-feather="phone"></i>
                                <!--<i class="fas fa-phone"></i>-->
                                +420 608 711 044
                            </a>
                        </div>
                        <div class="col-12 col-lg-6 px-sm-2">
                            <a href="mailto:info@minipujcovna.cz" class="btn btn-lg btn-success mt-3 w-100">
                                <i class="mr-2" data-feather="mail"></i>
                                <!--<i class="fas fa-map-marker-alt"></i>-->
                                info@minipujcovna.cz
                            </a>
                        </div>
                    </div>
                </div>
            </div>

        </div>

</div>
</main>
</div>

<script th:inline="javascript">
    /*<![CDATA[*/
    var isSecondClick = false;

    var dateFrom = $("#dateFrom");
    var dateTo = $("#dateTo");
    var dayName = $("#dayName");
    var dayCount = $(".dayCount");
    var totalPrice = $("#totalPrice");

    var strDates = /*[[${unavailableDates}]]*/ '';
    var unavailDates;

    if (strDates !== "") {
        unavailDates = JSON.parse(/*[[${unavailableDates}]]*/ '');
    }


    dateFrom.html(moment(/*[[${availableDate}]]*/ '').format('DD.MM.YYYY'));
    dateTo.html(moment(/*[[${availableDate}]]*/ '').format('DD.MM.YYYY'));

    var picker = new Lightpick({
        field: document.getElementById('datepicker1'),
        secondField: document.getElementById('datepicker2'),
        singleDate: false,
        inline: true,
        format: "DD.MM.YYYY",
        lang: "cs",
        numberOfMonths: ($(window).width() > 750) ? 2 : 1,
        minDate: moment(),
        separator: ";",
        selectForward: true,
        disableDates: unavailDates,
        hoveringTooltip: false,
        maxDays: 31,
        static: true,
        onSelect: function (start, end) {
            if (isSecondClick && end != null && start <= end) {
                var collisionDates = $('.lightpick__day.is-disabled.is-in-range')
                if (collisionDates.length > 0) {
                    showCollisionDatesError(collisionDates);
                } else {
                    var error = $('#borrowError');
                    error.removeClass('show');
                    error.addClass('d-none');
                }

                var days = $(".is-in-range").length; //moment.duration(end - start).days() + 1;
                dayCount.html(days);
                dayName.html(getDayName(days));
                totalPrice.html(days * /*[[${product.price}]]*/ '');
                dateFrom.html(start.format('DD.MM.YYYY'));
                dateTo.html(end.format('DD.MM.YYYY'));
            }

            //if(end == null || start <= end) {
            isSecondClick = !isSecondClick;
            //}
        }
    });

    function getDayName(dayCount) {
        if (dayCount === 1) {
            return "den";
        } else if (dayCount < 5) {
            return "dny"
        } else {
            return "dní"
        }
    }

    function showCollisionDatesError(dates) {
        var message = "Ve vybraném datumu nelze vypůjčit produkt. V nasledujících datumech je již obsazený: ";

        dates.each(function (index) {
            var time = $(this).data("time");
            var date = moment(time);
            message += date.format('DD.MM.YYYY') + ", ";
        });

        message = message.substring(0, message.length - 2);

        var errorMessage = $('#borrowErrorMessage');
        errorMessage.html(message);
        var error = $('#borrowError');
        error.removeClass('d-none');
        error.addClass('show');

        location.href = "#borrow";
    }

    function checkCollisions() {
        var collisionDates = $('.lightpick__day.is-disabled.is-in-range')
        if (collisionDates.length > 0) {
            showCollisionDatesError(collisionDates);
            return false;
        }
        return true;
    }

    function closeAlert(selector) {
        var error = $(selector);
        error.removeClass('show');
        error.addClass('d-none');
    }

    function createUserCheckbocClicked() {
        var pwdDiv = $('#divUserPwd');
        if ($('#createUserCheckBox:checked').length > 0) {
            pwdDiv.removeClass('d-none');
        } else {
            pwdDiv.addClass('d-none');
        }
    }

    /*]]>*/
</script>

<div th:replace="fragments/layout :: footer"></div>


</body>
</html>